package com.yoyosys.mt.domain;

import com.yoyosys.mt.utils.UUIDGenerator;

import java.io.Serializable;
import java.util.Date;

public class TaskHistory implements Serializable {
    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column t_task_history.id
     *
     * @mbg.generated
     */
    private String id;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column t_task_history.taskitem_id
     *
     * @mbg.generated
     */
    private String taskitemId;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column t_task_history.description
     *
     * @mbg.generated
     */
    private String description;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column t_task_history.status
     *
     * @mbg.generated
     */
    private String status;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column t_task_history.audit_time
     *
     * @mbg.generated
     */
    private Date auditTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table t_task_history
     *
     * @mbg.generated
     */
    private static final long serialVersionUID = 1L;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column t_task_history.id
     *
     * @return the value of t_task_history.id
     *
     * @mbg.generated
     */
    public String getId() {
        return id;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column t_task_history.id
     *
     * @param id the value for t_task_history.id
     *
     * @mbg.generated
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column t_task_history.taskitem_id
     *
     * @return the value of t_task_history.taskitem_id
     *
     * @mbg.generated
     */
    public String getTaskitemId() {
        return taskitemId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column t_task_history.taskitem_id
     *
     * @param taskitemId the value for t_task_history.taskitem_id
     *
     * @mbg.generated
     */
    public void setTaskitemId(String taskitemId) {
        this.taskitemId = taskitemId == null ? null : taskitemId.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column t_task_history.description
     *
     * @return the value of t_task_history.description
     *
     * @mbg.generated
     */
    public String getDescription() {
        return description;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column t_task_history.description
     *
     * @param description the value for t_task_history.description
     *
     * @mbg.generated
     */
    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column t_task_history.status
     *
     * @return the value of t_task_history.status
     *
     * @mbg.generated
     */
    public String getStatus() {
        return status;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column t_task_history.status
     *
     * @param status the value for t_task_history.status
     *
     * @mbg.generated
     */
    public void setStatus(String status) {
        this.status = status == null ? null : status.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column t_task_history.audit_time
     *
     * @return the value of t_task_history.audit_time
     *
     * @mbg.generated
     */
    public Date getAuditTime() {
        return auditTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column t_task_history.audit_time
     *
     * @param auditTime the value for t_task_history.audit_time
     *
     * @mbg.generated
     */
    public void setAuditTime(Date auditTime) {
        this.auditTime = auditTime;
    }

    public String executionId;

    public String getExecutionId() {
        return executionId;
    }

    public void setExecutionId(String executionId) {
        this.executionId = executionId;
    }
}